Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001350I6 LibraryGeneralpublic2014-06-29 01:572015-05-10 17:46
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/12 
Target Version6/12Fixed in Version6/12 
Summary0001350: After switching bodies, interacting with one's former self gets troublesome
DescriptionSuppose a game uses the default second-person narrative voice and the player has no name. If you switch bodies, "your former self" will appear in the game. As-is, your new self cannot interact with that "former self". If, however, the player was given a name, then interaction can occur.
Minimal Source Text To Reproduce
Constant DEBUG;
Constant STORY "Selves: An investigation of switching bodies.^";
Include "parser.h";
Include "verblib.h";
Include "Grammar";

[ Initialise;
	location = theroom;
	player.narrative_voice = 3;
	player.short_name = "George";
	player.name = 'George';
	player.nameless = false;
];

Object theroom "The Room"
	with description "This is just a plain room like any other.",
	has light;

Object -> Box "box"
	with name 'box',
	description "It's a big wooden box with a lock.",
	with_key Key,
	has container openable enterable lockable;

Object -> Key "key"
	with name "key",
	description "It's an ordinary looking key.";

Object -> Hat "hat"
	with name 'hat',
	description "Just an ordinary hat.",
	has clothing;

Object -> Table "table"
	with name "table",
	capacity 2,
	has supporter;

Object -> -> Button "button"
	with name 'button',
	description "An unlabeled button.",
	before [;
	  Push:
		if (player == Kitty)
			ChangePlayer(selfobj);
		else
			ChangePlayer(Kitty);
		"You feel strange and suddenly you realize you're in a different body.";
	],
	has static;


Object -> Kitty "Kitty"
	with name "kitty" "cat",
	short_name "Kitty",
	description "Kitty is a cute kitty-cat.",
	narrative_voice 3,
	orders [;
	Take:	if (self ~= player) <<take noun, actor>>;
	Give:	if (self ~= player) <<give noun second, actor>>;
	Drop:	if (self ~= player) <<drop noun, actor>>;
	Go:	if (self ~= player) <<go noun, actor>>;
	Open:	if (self ~= player) <<open noun, actor>>;
	Close:	if (self ~= player) <<close noun, actor>>;
	Enter:	if (self ~= player) <<enter noun, actor>>;
	Wear:	if (self ~= player) <<wear noun, actor>>;
	],
	has female proper animate transparent;

Verb 'who'
	* 'am' 'i'	-> WhoAmI;

[WhoAmISub;
	"You are ", (string) player.short_name, ".";
];
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002908)
DavidG (developer)
2014-06-30 02:55

http://www.intfiction.org/forum/viewtopic.php?f=7&t=15419&p=77382 [^]
(0002921)
DavidG (developer)
2014-07-12 00:10

This has been fixed. The fix involved allowing things like an anonymous PC in third-person voice. For instance, "The detective puts the crime report on the desk.". Instructions to the author on how to keep things straight has been added to the repo.

https://github.com/DavidGriffith/inform6lib/commit/87bb3f8b4e28cd2d8bd6f4ad1de3464ffaea5b0c [^]
(0003120)
DavidG (developer)
2014-08-26 17:44

Reopening this issue on account that the player still cannot interact with "your former self".
(0003129)
DavidG (developer)
2014-08-29 19:14

https://github.com/DavidGriffith/inform6lib/commit/6ab5a59bc69eeb7587791895e9bb64d617d01c27 [^]
(0003456)
jmcgrew (administrator)
2015-05-10 17:46

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2014-06-29 01:57 DavidG New Issue
2014-06-29 01:57 DavidG Status new => assigned
2014-06-29 01:57 DavidG Assigned To => DavidG
2014-06-29 03:37 DavidG Steps to Reproduce Updated View Revisions
2014-06-30 02:55 DavidG Note Added: 0002908
2014-07-12 00:10 DavidG Note Added: 0002921
2014-07-12 00:10 DavidG Status assigned => resolved
2014-07-12 00:10 DavidG Fixed in Version => 6/12
2014-07-12 00:10 DavidG Resolution open => fixed
2014-08-26 17:44 DavidG Note Added: 0003120
2014-08-26 17:44 DavidG Status resolved => confirmed
2014-08-29 19:14 DavidG Note Added: 0003129
2014-08-29 19:14 DavidG Status confirmed => resolved
2015-05-10 17:46 jmcgrew Note Added: 0003456
2015-05-10 17:46 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker